System.Design 2.0.0.0

Typically, when creating a new data source class for hierarchical data and an accompanying designer, you would inherit the class rather than implement the interface.

Provides design-time support in a visual designer for a class that is derived from the class.

- Property
  2.0.0.0
  System.Boolean To be added.

  The property is used by a design host, such as vsprvslong, to determine whether to display a Configure command at design time.

  Gets a value indicating whether the method can be called.

- Property
  2.0.0.0
  System.Boolean To be added.

  The property is used by a design host, such as vsprvslong, to determine whether to display a Refresh Schema command at design time.

  Gets a value indicating whether the method can be called.

- Method
  2.0.0.0
  System.Void To be added.

  Launches the configuration wizard for the underlying data source.

- Event
  2.0.0.0
  System.EventHandler To be added.

  Occurs when a data source control has changed in some way that affects data-bound controls.

- Method
  2.0.0.0
  System.Web.UI.Design.DesignerHierarchicalDataSourceView `` To be added.

  Gets the named data source view that is associated with the data source control.

  The named data source view that is associated with the data source control.

  The XPath for the part of the data source to retrieve.
- Method
  2.0.0.0
  System.Void `` To be added.

  Refreshes the schema of the underlying data source.

  true to suppress events raised while refreshing the schema; otherwise false.
- Method
  2.0.0.0
  System.Void To be added.

  Restores events after calling the method.

- Event
  2.0.0.0
  System.EventHandler To be added.

  Occurs when the fields or data of the underlying data source have changed.

- Method
  2.0.0.0
  System.Void

  You can restore events with the method.

  Turns off events in the data source control.